=== debian/changelog ===
check-pgbackrest (1.9-2) unstable; urgency=medium

  [ Christoph Berg ]
  * Enhances: pgbackrest.

  [ Chris Lamb ]
  * Use UTC in manpage generation to make build reproducible.
    (Closes: #970851)

 -- Christoph Berg <myon@debian.org>  Thu, 24 Sep 2020 13:51:09 +0200

check-pgbackrest (1.9-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Tue, 01 Sep 2020 16:30:08 +0200
