=== debian/control ===
Source: check-pgbackrest
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 perl,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/postgresql/check-pgbackrest
Vcs-Git: https://salsa.debian.org/postgresql/check-pgbackrest.git
Homepage: https://github.com/pgstef/check_pgbackrest

Package: check-pgbackrest
Architecture: all
Depends:
 libdata-dump-perl,
 libjson-perl,
 perl,
 ${misc:Depends},
 ${shlibs:Depends},
Enhances: pgbackrest
Description: pgBackRest backup check plugin for Nagios
 check_pgbackrest is designed to monitor pgBackRest PostgreSQL backups from
 Nagios.
