=== debian/changelog ===
check-pgbackrest (2.0-1.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 23 Apr 2021 15:37:15 +0200

check-pgbackrest (2.0-1) experimental; urgency=medium

  * New upstream version.
  * Breaks pgbackrest << 2.28 since it uses commands from that version.

 -- Christoph Berg <myon@debian.org>  Fri, 23 Apr 2021 15:37:15 +0200
