=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  debhelper-compat (= 13),
  perl,
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/check-pgbackrest
 Vcs-Git: https://salsa.debian.org/postgresql/check-pgbackrest.git
 Homepage: https://github.com/pgstef/check_pgbackrest
@@ -21,6 +22,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Enhances: pgbackrest
+Breaks: pgbackrest (<< 2.28)
 Description: pgBackRest backup check plugin for Nagios
  check_pgbackrest is designed to monitor pgBackRest PostgreSQL backups from
  Nagios.
