=== debian/changelog ===
check-pgbackrest (2.2-1.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 06 Dec 2021 12:24:37 +0100

check-pgbackrest (2.2-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 06 Dec 2021 12:24:37 +0100

check-pgbackrest (2.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.0, no changes needed.

  [ Christoph Berg ]
  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 15 Oct 2021 15:04:25 +0200
