=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders:
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 10),
  perl,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/check-pgbackrest
 Vcs-Git: https://salsa.debian.org/postgresql/check-pgbackrest.git
