=== debian/changelog ===
check-pgbackrest (2.3-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 14 Jun 2022 16:12:24 +0200
