=== debian/tests/control ===
Tests: check-pgb-version
Depends:
 dpkg-dev,
 @,
Restrictions: allow-stderr
