=== debian/watch ===
version=4
opts="uversionmangle=s/_/./g" \
https://github.com/pgstef/check_pgbackrest/tags .*/REL([0-9_.-]*).tar.gz
