=== debian/changelog ===
check-pgbackrest (2.4-1.pgdg24.10+1) oracular-pgdg; urgency=medium

  * Rebuild for oracular-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 05 Jul 2024 09:54:42 +0200

check-pgbackrest (2.4-1) unstable; urgency=medium

  * New upstream version.
    (Closes: #1074786)

 -- Michael Banck <mbanck@debian.org>  Fri, 05 Jul 2024 09:54:42 +0200
